class Student {
    public int stu_no = 10011;                                     
    public String stu_name;                                      
    public String specialty;                                       
    void printStu_no() {
        System.out.println("stu_no of Student is " + stu_no);
    }
}
class GraduateStudent extends Student {
    public int stu_no = 20011;
    public String tutor;
    public String spec_direction;
    void printStu_no() {
        super.printStu_no();                                      // 调用父类被重写的方法
        System.out.println("stu_no of GraduateStudent is " + this.stu_no);
    }
    void printStu_no(int stu_no) {
        this.printStu_no();                                       // 调用同类中的方法
       System.out.println("stu_no of GraduateStudent is " + stu_no);
    }
}
class Example4_8{
    public static void main(String[] args) {
        GraduateStudent stu1 = new GraduateStudent();
        stu1.printStu_no(30011);
    }
}
